/*
 *  @author Ranides Atterwim <ranides@gmail.com>
 *  @copyright Ranides Atterwim
 *  @license WTFPL
 *  @url http://ranides.net/projects/assira
 */

package net.ranides.assira.config;

/**
 * Wyjątek "unchecked" rzucany przez klasy do obsługi konfiguracji
 * @see Configuration
 * @author ranides
 */
public class ConfigException extends RuntimeException {

    /**
     * Tworzy wyjątek z podanym komunikatem
     * @param message 
     */
    public ConfigException(String message) {
        super(message);
    }

    /**
     * Tworzy wyjątek z podaną przyczyną błędu.
     * @param cause 
     */
    public ConfigException(Throwable cause) {
        super(cause);
    }

    /**
     * Tworzy wyjątek z podanym komunikatem oraz przyczyną błędu.
     * @param message 
     * @param cause 
     */
    public ConfigException(String message, Throwable cause) {
        super(message, cause);
    }
    
}
